<?php

defined('_JEXEC') or die;

/** Extended Login and Registration for Joomla!
---------------------------------------------------------------
 Copyright (C) 2017 Addon Dev. All rights reserved.
 Website: https://addondev.com
 GitHub: https://github.com/philip-sorokin
 Developer: Philip Sorokin
 Location: Russia, Moscow
 E-mail: philip.sorokin@gmail.com
 Created: November 2017
 License: GNU GPLv2 http://www.gnu.org/licenses/gpl-2.0.html
---------------------------------------------------------------- */

?>

<form id="member-registration" action="<?php echo JRoute::_('index.php?option=com_users&task=registration.register'); ?>" method="post" class="form-validate" enctype="multipart/form-data">
	
	<h2 class="combined-header"><?php echo JText::_('JREGISTER'); ?></h2>
	
	<?php foreach ($this->form->getFieldsets() as $fieldset) : ?>
		<?php $fields = $this->form->getFieldset($fieldset->name); ?>
			<?php foreach ($fields as $field) : ?>
				<?php if ($field->hidden) : ?>
					<?php echo $field->input; ?>
				<?php elseif (strtolower($field->type) !== 'spacer' || strtolower($fieldset->name) !== 'default') : ?>
					<div class="form-group">
						<div class="group-control">
							<div class="control-group">
								<?php if ($field->fieldname === 'password1') : ?>
									<input name="fake-password" type="password" class="fake-password" />
								<?php endif; ?>
								<div class="control-label">
									<?php echo $field->label; ?>
								</div>
								<div class="controls">
									<?php echo $field->input;?>
								</div>
							</div>
						</div>
					</div>
				<?php endif;?>
			<?php endforeach;?>
	<?php endforeach;?>
	
	<div class="form-group submit-btn">
		<button type="submit" class="btn btn-primary btn-block validate"><span class="icon-signup"></span><span><?php echo JText::_('JREGISTER'); ?></span></button>
	</div>
	
	<input type="hidden" name="option" value="com_users" />
	<input type="hidden" name="task" value="registration.register" />
	<?php echo JHtml::_('form.token');?>
	
</form>
